org.apache.ant.compress.taskdefs

## Class ArchiveBase.ResourceWithFlags

- java.lang.Object
- - org.apache.ant.compress.taskdefs.ArchiveBase.ResourceWithFlags

- Enclosing class:
    ArchiveBase

      public class ArchiveBase.ResourceWithFlags
      extends java.lang.Object

  Binds a resource to additional data that may be present.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceWithFlags(org.apache.tools.ant.types.Resource r, ArchiveBase.ResourceCollectionFlags rcFlags, ArchiveBase.ResourceFlags rFlags)`
    `ResourceWithFlags(java.lang.String name, org.apache.tools.ant.types.Resource r, ArchiveBase.ResourceCollectionFlags rcFlags, ArchiveBase.ResourceFlags rFlags)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArchiveBase.ResourceCollectionFlags` | `getCollectionFlags()`
    `java.lang.String` | `getName()` The name the target entry will have.
    `org.apache.tools.ant.types.Resource` | `getResource()`
    `ArchiveBase.ResourceFlags` | `getResourceFlags()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceWithFlags

          public ResourceWithFlags(org.apache.tools.ant.types.Resource r,
                                   ArchiveBase.ResourceCollectionFlags rcFlags,
                                   ArchiveBase.ResourceFlags rFlags)

    - #### ResourceWithFlags

          public ResourceWithFlags(java.lang.String name,
                                   org.apache.tools.ant.types.Resource r,
                                   ArchiveBase.ResourceCollectionFlags rcFlags,
                                   ArchiveBase.ResourceFlags rFlags)

  - ### Method Detail

    - #### getResource

          public org.apache.tools.ant.types.Resource getResource()

    - #### getCollectionFlags

          public ArchiveBase.ResourceCollectionFlags getCollectionFlags()

    - #### getResourceFlags

          public ArchiveBase.ResourceFlags getResourceFlags()

    - #### getName

          public java.lang.String getName()

      The name the target entry will have.

      Already takes fullpath and prefix into account.

      Ensures directory names end in slashes while file names never will.